import { r as registerInstance, h } from './index-b13326fc.js';

var __classPrivateFieldGet = (undefined && undefined.__classPrivateFieldGet) || function (receiver, privateMap) {
    if (!privateMap.has(receiver)) {
        throw new TypeError("attempted to get private field on non-instance");
    }
    return privateMap.get(receiver);
};
var _server;
const BceElementAudio = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        _server.set(this, window.BCE.file);
    }
    render() {
        return this.template.location.map(id => {
            const file = __classPrivateFieldGet(this, _server).get(id);
            return (file && (h("audio", { key: id, autoplay: this.template.autoplay, controls: true }, h("source", { src: file.url, type: file.type }))));
        });
    }
    static get style() { return ":host{display:block;margin:1rem 0}"; }
};
_server = new WeakMap();

export { BceElementAudio as bce_element_audio };
